From: "Brian Dolbec" <dolsen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/twisted/
Date: Fri, 31 Mar 2017 21:11:25 +0000 (UTC) [thread overview]
Message-ID: <1490994532.88eca7f31805cac0aba446d437f581700e4aa9bb.dolsen@gentoo> (raw)
commit: 88eca7f31805cac0aba446d437f581700e4aa9bb
Author: Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 31 20:56:40 2017 +0000
Commit: Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Fri Mar 31 21:08:52 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88eca7f3
dev-python/twisted: Version bump
Package-Manager: Portage-2.3.5, Repoman-2.3.2_p30
dev-python/twisted/Manifest | 1 +
dev-python/twisted/twisted-17.1.0.ebuild | 164 +++++++++++++++++++++++++++++++
2 files changed, 165 insertions(+)
diff --git a/dev-python/twisted/Manifest b/dev-python/twisted/Manifest
index 34853df61ab..19a472c33ce 100644
--- a/dev-python/twisted/Manifest
+++ b/dev-python/twisted/Manifest
@@ -2,3 +2,4 @@ DIST Twisted-16.2.0.tar.bz2 2942537 SHA256 a090e8dc675e97fb20c3bb5f8114ae94169f4
DIST Twisted-16.3.2.tar.bz2 2916410 SHA256 22c32e68feb6be7ea68bcbc8f89184f06b5693a9f1b59d052927d19597645967 SHA512 6ddca880a06087717487d8a5cc128da81f1acbc97e5c372b1ba51eaeb87390ae7f91925e8e4cc90f29df21692bc11b6e0fe3772341b8488940895e57942e5149 WHIRLPOOL ad381b36f94351c15713e35d6312bae35c78ff90eb485892131f7db8c89168ccf5ddbc9d486bfeb47db695e75280bc73401194c6b36815c5859cc945d0191a7b
DIST Twisted-16.4.1.tar.bz2 2975697 SHA256 1d8d73f006c990744effb35588359fd44d43608649ac0b6b7edc71176e88e816 SHA512 7d841f5ef7fbcc5c215e5fb0d56934c6b37ecb0835a9e602a2b788a76960c669eb910a58c1f40f3e15121a7852a1055d377891c7ce3f2e360292a41341ab6bfe WHIRLPOOL 1c79ea538cddd2026d2aa02367e37f22dec23746f720ce3a25c8065d9db616c622faa89b0011966a27a47f3336fcca066ad85645d3316bbaa318f6143ac8f8cf
DIST Twisted-16.6.0.tar.bz2 2979747 SHA256 d0fe115ea7ef8cf632d05103de60356c6e992b2153d6830bdc4476f8accb1fca SHA512 0b8de0ec7f64457f76c396fced64b366b8e63c6e000a5edc6c6388cd917fb2f95711918cd8edda39e0aa77e2cd32b5d775d23630a5ad10fc013c18f8316300cf WHIRLPOOL a09a8747312580e3b27d222bf0942b714ad041044a817876e1731c5fa2ae3d11e4d5a45221d2e7d126ebb664730d15c886d5ae164841c7a8f0acd6e12c4691a9
+DIST Twisted-17.1.0.tar.bz2 2997334 SHA256 dbf211d70afe5b4442e3933ff01859533eba9f13d8b3e2e1b97dc2125e2d44dc SHA512 e5eedc9a70b7e4d0ec18dddaa82aa9a784e96fd517db65c278d822d15e8bdc65a35307a5a0474eb68dcb73fcd5508086bec605580a9f2f767bcbe27d714b4966 WHIRLPOOL 828a939134df47950a285c732867b3d4172e5e86a75fbdc1cc4365b5a24699a0b3fcb573b7e3d389eea591fc9fc79456c09f2d2c8f08d7e1215dc5761e88ed8e
diff --git a/dev-python/twisted/twisted-17.1.0.ebuild b/dev-python/twisted/twisted-17.1.0.ebuild
new file mode 100644
index 00000000000..74f7447e1fb
--- /dev/null
+++ b/dev-python/twisted/twisted-17.1.0.ebuild
@@ -0,0 +1,164 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_{4,5,6})
+PYTHON_REQ_USE="threads(+)"
+TWISTED_PN="Twisted"
+#DISTUTILS_IN_SOURCE_BUILD="yes"
+
+inherit eutils flag-o-matic twisted-r1
+
+DESCRIPTION="An asynchronous networking framework written in Python"
+SRC_URI="http://twistedmatrix.com/Releases/${TWISTED_PN}"
+SRC_URI="${SRC_URI}/${TWISTED_RELEASE}/${TWISTED_P}.tar.bz2"
+
+# Dropped keywords due to new deps not keyworded
+#KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~x86 ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~x86"
+IUSE="conch crypt http2 serial +soap test"
+
+RDEPEND=">=dev-python/zope-interface-4.0.2[${PYTHON_USEDEP}]
+ conch? (
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-0.9.1[${PYTHON_USEDEP}]
+ >=dev-python/appdirs-1.4.0[${PYTHON_USEDEP}]
+ )
+ crypt? (
+ >=dev-python/pyopenssl-16.0.0[${PYTHON_USEDEP}]
+ dev-python/service_identity[${PYTHON_USEDEP}]
+ >=dev-python/idna-0.6[${PYTHON_USEDEP}]
+ )
+ serial? ( dev-python/pyserial[${PYTHON_USEDEP}] )
+ soap? ( $(python_gen_cond_dep 'dev-python/soappy[${PYTHON_USEDEP}]' python2_7) )
+ http2? (
+ >=dev-python/hyper-h2-2.5.0[${PYTHON_USEDEP}]
+ <dev-python/hyper-h2-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/priority-1.1.0[${PYTHON_USEDEP}]
+ <dev-python/priority-2.0[${PYTHON_USEDEP}]
+ )
+ >=dev-python/constantly-15.1.0[${PYTHON_USEDEP}]
+ !dev-python/twisted-core
+ !dev-python/twisted-conch
+ !dev-python/twisted-lore
+ !dev-python/twisted-mail
+ !dev-python/twisted-names
+ !dev-python/twisted-news
+ !dev-python/twisted-pair
+ !dev-python/twisted-runner
+ !dev-python/twisted-words
+ !dev-python/twisted-web
+"
+DEPEND="
+ >=dev-python/incremental-16.10.1[${PYTHON_USEDEP}]
+ test? (
+ dev-python/gmpy[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-0.9.1[${PYTHON_USEDEP}]
+ >=dev-python/appdirs-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+ dev-python/service_identity[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/pyserial[${PYTHON_USEDEP}]
+ >=dev-python/constantly-15.1.0[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ # Respect TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE variable.
+ "${FILESDIR}/${PN}-16.5.0-respect_TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE.patch"
+ "${FILESDIR}/test_main.patch"
+ "${FILESDIR}/utf8_overrides.patch"
+ "${FILESDIR}/${PN}-16.6.0-test-fixes.patch"
+)
+
+python_prepare_all() {
+ # disable tests that don't work in our sandbox
+ # and other test failures due to our conditions
+ if use test ; then
+ # Remove since this is an upstream distribution test for making releases
+ rm src/twisted/python/test/test_release.py || die "rm src/twisted/python/test/test_release.py FAILED"
+ fi
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ if ! python_is_python3; then
+ # Needed to make the sendmsg extension work
+ # (see http://twistedmatrix.com/trac/ticket/5701 )
+ local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ local -x CXXFLAGS="${CXXFLAGS} -fno-strict-aliasing"
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ distutils_install_for_testing
+
+ export EMERGE_TEST_OVERRIDE=1
+ export UTF8_OVERRIDES=1
+ # workaround for the eclass not installing the entry points
+ # in the test environment. copy the old 16.3.2 start script
+ # to run the tests with
+ cp "${FILESDIR}"/trial "${TEST_DIR}"
+
+ pushd "${TEST_DIR}" > /dev/null || die
+
+ if ! "${TEST_DIR}"/trial twisted; then
+ die "Tests failed with ${EPYTHON}"
+ fi
+ # due to an anomoly in the tests, python doesn't return the correct form
+ # of the escape sequence. So run those test separately with a clean python interpreter
+ export UTF8_OVERRIDES=0
+ if ! "${TEST_DIR}"/trial twisted.test.test_twistd.DaemonizeTests; then
+ die "DaemonizeTests failed with ${EPYTHON}"
+ fi
+ if ! "${TEST_DIR}"/trial twisted.test.test_reflect.SafeStrTests; then
+ die "SafeStrTests failed with ${EPYTHON}"
+ fi
+
+ popd > /dev/null || die
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ cd "${D%/}$(python_get_sitedir)" || die
+
+ # create 'Twisted' egg wrt bug #299736
+ #local egg=( Twisted_Core*.egg-info )
+ #[[ -f ${egg[0]} ]] || die "Twisted_Core*.egg-info not found"
+ #ln -s "${egg[0]}" "${egg[0]/_Core/}" || die
+
+ # own the dropin.cache so we don't leave orphans
+ touch twisted/plugins/dropin.cache || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ newconfd "${FILESDIR}/twistd.conf" twistd
+ newinitd "${FILESDIR}/twistd.init" twistd
+}
+
+pkg_postinst() {
+ einfo "Install complete"
+ if use test ; then
+ einfo ""
+ einfo "Some tests have been disabled during testing due to"
+ einfo "known incompatibilities with the emerge sandboxes and/or"
+ einfo "not runnable as the root user."
+ einfo "For a complete test suite run on the code."
+ einfo "Run the tests as a normal user for each python it is installed to."
+ einfo " ie: $ python3.6 /usr/bin/trial twisted"
+ einfo "There are a few known python-2.7 errors due to some unicode issues"
+ einfo "which are different in Gentoo installed python-2.7"
+ fi
+}
+
+pkg_postrm(){
+ # pre portage-2.3.2 release workaround for bug 595028
+ cd "${HOME}"
+ _distutils-r1_run_foreach_impl twisted-r1_update_plugin_cache
+}
next reply other threads:[~2017-03-31 21:11 UTC|newest]
Thread overview: 249+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-03-31 21:11 Brian Dolbec [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-21 12:27 [gentoo-commits] repo/gentoo:master commit in: dev-python/twisted/ Michał Górny
2024-12-21 12:27 Michał Górny
2024-12-21 12:27 Michał Górny
2024-12-21 12:27 Michał Górny
2024-12-21 12:27 Michał Górny
2024-12-21 12:27 Michał Górny
2024-12-12 11:24 Sam James
2024-12-07 11:36 Michał Górny
2024-12-03 4:26 Michał Górny
2024-11-23 11:47 Michał Górny
2024-11-23 7:10 Michał Górny
2024-11-17 21:03 Michał Górny
2024-11-16 11:56 Arthur Zamarin
2024-11-16 9:20 Michał Górny
2024-11-16 9:20 Michał Górny
2024-11-16 8:58 Michał Górny
2024-11-16 8:58 Michał Górny
2024-11-16 8:09 Michał Górny
2024-10-30 20:31 Michał Górny
2024-10-30 19:59 Sam James
2024-10-28 4:32 Michał Górny
2024-10-20 3:11 Michał Górny
2024-08-30 6:45 Arthur Zamarin
2024-08-21 15:06 Michał Górny
2024-08-16 10:37 Arthur Zamarin
2024-08-16 3:18 Michał Górny
2024-08-16 3:18 Michał Górny
2024-08-11 19:50 Arthur Zamarin
2024-08-11 10:33 Sam James
2024-08-11 10:26 Sam James
2024-08-11 10:26 Sam James
2024-08-11 10:26 Sam James
2024-08-10 17:20 Petr Vaněk
2024-08-06 12:28 Petr Vaněk
2024-08-06 12:22 Petr Vaněk
2024-07-31 15:20 Petr Vaněk
2024-07-31 15:10 Petr Vaněk
2024-04-29 3:27 Michał Górny
2024-04-09 18:20 Arthur Zamarin
2024-03-22 5:45 Ionen Wolkens
2024-03-07 20:29 Sam James
2024-03-07 20:29 Sam James
2024-03-07 17:09 Michał Górny
2024-03-07 17:09 Michał Górny
2024-03-07 16:19 Michał Górny
2024-03-01 18:33 Michał Górny
2024-02-22 5:38 Michał Górny
2024-01-12 14:04 Sam James
2024-01-11 9:38 Sam James
2023-12-30 1:26 Ionen Wolkens
2023-12-20 2:34 Ionen Wolkens
2023-12-12 13:29 Arthur Zamarin
2023-12-05 20:00 Arthur Zamarin
2023-11-28 5:27 Arthur Zamarin
2023-11-25 9:37 Arthur Zamarin
2023-10-31 19:12 Michał Górny
2023-10-25 7:43 Michał Górny
2023-10-18 9:39 Sam James
2023-10-18 9:39 Sam James
2023-10-18 9:39 Sam James
2023-10-18 9:39 Sam James
2023-10-18 9:39 Sam James
2023-10-06 14:55 Sam James
2023-10-06 14:55 Sam James
2023-10-03 22:37 Sam James
2023-10-03 4:50 Sam James
2023-10-03 4:50 Sam James
2023-10-03 1:51 Sam James
2023-10-03 1:51 Sam James
2023-09-25 22:47 Sam James
2023-09-25 18:54 Arthur Zamarin
2023-08-29 4:59 Michał Górny
2023-08-21 14:51 Michał Górny
2023-07-15 8:49 Arthur Zamarin
2023-05-29 9:31 Michał Górny
2023-05-28 18:11 Sam James
2022-11-08 5:17 Michał Górny
2022-11-08 5:00 Jakov Smolić
2022-11-02 16:15 Sam James
2022-10-31 18:55 Arthur Zamarin
2022-10-31 18:41 Sam James
2022-10-31 18:41 Sam James
2022-10-31 18:29 Arthur Zamarin
2022-10-31 18:29 Arthur Zamarin
2022-10-31 18:29 Arthur Zamarin
2022-10-31 18:27 Arthur Zamarin
2022-10-31 15:49 Michał Górny
2022-10-27 14:57 Michał Górny
2022-10-11 6:47 Agostino Sarubbo
2022-10-10 22:11 Sam James
2022-10-10 19:09 Arthur Zamarin
2022-10-10 18:34 Sam James
2022-10-10 18:34 Sam James
2022-10-10 18:21 Arthur Zamarin
2022-10-10 18:21 Arthur Zamarin
2022-10-10 18:21 Arthur Zamarin
2022-09-09 7:23 Arthur Zamarin
2022-07-04 6:57 Michał Górny
2022-07-04 6:57 Michał Górny
2022-05-27 9:08 Michał Górny
2022-05-27 8:53 Andrew Ammerlaan
2022-05-17 11:11 Michał Górny
2022-05-17 9:24 Agostino Sarubbo
2022-05-17 9:19 Agostino Sarubbo
2022-05-12 7:27 Agostino Sarubbo
2022-05-11 12:58 Agostino Sarubbo
2022-05-11 12:57 Agostino Sarubbo
2022-05-04 4:01 Sam James
2022-04-30 19:11 Sam James
2022-04-13 7:15 Agostino Sarubbo
2022-04-12 18:30 Arthur Zamarin
2022-04-11 19:45 Arthur Zamarin
2022-04-11 16:07 Michał Górny
2022-03-18 12:04 Arthur Zamarin
2022-03-18 8:04 Arthur Zamarin
2022-03-17 8:54 Michał Górny
2022-03-15 17:56 Jakov Smolić
2022-03-09 20:29 Arthur Zamarin
2022-02-17 19:23 Arthur Zamarin
2022-02-16 18:57 Arthur Zamarin
2022-02-11 19:15 Arthur Zamarin
2022-02-11 19:07 Jakov Smolić
2022-02-11 19:07 Jakov Smolić
2022-02-11 12:25 Sam James
2022-02-09 1:25 Sam James
2022-02-08 17:57 Sam James
2022-02-08 12:08 Michał Górny
2022-02-02 9:27 Michał Górny
2022-02-02 9:27 Michał Górny
2022-01-27 22:56 James Le Cuirot
2021-11-28 14:42 Michał Górny
2021-11-28 14:42 Michał Górny
2021-10-16 22:00 Sam James
2021-10-07 6:37 Sam James
2021-09-04 21:39 Sam James
2021-09-03 6:40 Agostino Sarubbo
2021-09-01 18:32 Sam James
2021-08-30 18:00 Sam James
2021-08-30 1:27 Sam James
2021-08-30 1:27 Sam James
2021-07-30 15:37 Sergei Trofimovich
2021-07-25 3:16 Matt Turner
2021-06-10 14:02 Yixun Lan
2021-05-20 13:51 Michał Górny
2021-05-20 9:07 Michał Górny
2021-04-25 10:08 Sam James
2021-04-25 10:08 Sam James
2021-04-25 10:06 Sergei Trofimovich
2021-04-22 23:01 Sam James
2021-04-18 1:52 Sam James
2021-04-18 1:52 Sam James
2021-04-18 1:52 Sam James
2021-04-18 1:47 Sam James
2021-04-17 8:47 Sergei Trofimovich
2021-03-21 22:42 Michał Górny
2021-03-15 7:54 Sam James
2021-03-15 7:44 Sam James
2021-03-15 7:42 Sam James
2021-03-06 15:14 Sergei Trofimovich
2021-03-05 18:39 Sam James
2021-03-04 4:25 Sam James
2021-02-28 21:09 Michał Górny
2020-12-01 10:44 Sam James
2020-08-04 12:01 Michał Górny
2020-06-21 9:22 Sergei Trofimovich
2020-06-04 6:24 Michał Górny
2020-06-03 15:32 Agostino Sarubbo
2020-06-02 21:20 Sergei Trofimovich
2020-06-01 9:03 Mart Raudsepp
2020-05-31 6:58 Michał Górny
2020-05-30 21:09 Sergei Trofimovich
2020-05-27 11:54 Michał Górny
2020-05-18 16:46 Sergei Trofimovich
2020-05-12 6:39 Agostino Sarubbo
2020-05-11 16:47 Agostino Sarubbo
2020-05-11 16:46 Agostino Sarubbo
2020-05-11 11:40 Agostino Sarubbo
2020-05-11 11:28 Agostino Sarubbo
2020-05-09 0:51 Brian Dolbec
2020-05-06 18:45 Mikle Kolyada
2020-05-06 18:43 Mikle Kolyada
2020-05-06 14:28 Mikle Kolyada
2020-05-03 21:55 Sergei Trofimovich
2020-04-28 6:39 Agostino Sarubbo
2020-04-26 23:44 Thomas Deutschmann
2020-04-26 22:51 Thomas Deutschmann
2020-04-26 22:23 Thomas Deutschmann
2020-04-24 19:24 Michał Górny
2020-04-24 14:39 Michał Górny
2020-04-24 13:07 Michał Górny
2020-04-24 8:19 Michał Górny
2020-04-21 12:11 Thomas Deutschmann
2020-03-25 6:08 Georgy Yakovlev
2020-03-25 5:40 Michał Górny
2020-03-14 18:27 Mikle Kolyada
2020-03-09 5:18 Matt Turner
2020-02-27 7:28 Sergei Trofimovich
2020-02-22 20:22 Andreas Sturmlechner
2020-02-13 10:42 Michał Górny
2020-01-22 23:40 Thomas Deutschmann
2020-01-02 9:58 Sergei Trofimovich
2019-12-04 6:48 Aaron Bauman
2019-11-29 20:35 Aaron Bauman
2019-11-28 3:16 Aaron Bauman
2019-11-12 21:08 Mike Gilbert
2019-06-25 12:09 Michael Haubenwallner
2019-03-20 10:31 Fabian Groffen
2019-01-17 20:45 Mikle Kolyada
2018-12-30 19:25 Mikle Kolyada
2018-12-03 14:12 Mikle Kolyada
2018-09-29 8:01 Sergei Trofimovich
2018-09-24 0:32 Joshua Kinard
2018-07-16 20:38 Michał Górny
2018-07-16 19:57 Michał Górny
2018-07-16 14:42 Michał Górny
2018-07-14 17:54 Sergei Trofimovich
2018-07-14 17:54 Sergei Trofimovich
2018-07-08 19:10 Sergei Trofimovich
2018-05-04 15:17 Mart Raudsepp
2018-05-01 18:40 Michał Górny
2018-04-06 5:23 Matt Turner
2018-03-30 18:08 Sergei Trofimovich
2018-02-22 17:02 Michał Górny
2017-10-28 22:34 Sergei Trofimovich
2017-10-05 4:36 Markus Meier
2017-09-24 16:34 Sergei Trofimovich
2017-09-11 20:35 Sergei Trofimovich
2017-07-25 21:30 Brian Dolbec
2017-07-10 21:47 Sergei Trofimovich
2017-07-09 8:02 Markus Meier
2017-07-02 15:02 Sergei Trofimovich
2017-06-28 13:19 Agostino Sarubbo
2017-06-26 20:18 Tobias Klausmann
2017-06-17 17:00 Brian Dolbec
2017-06-17 17:00 Brian Dolbec
2017-05-26 10:16 Tobias Klausmann
2017-04-18 14:17 Jeroen Roovers
2017-04-05 10:44 Michael Weber
2017-04-05 8:44 Michael Weber
2017-03-31 21:28 Brian Dolbec
2017-03-30 2:48 Brian Dolbec
2017-03-22 19:48 Markus Meier
2017-03-12 12:30 Anthony G. Basile
2017-02-19 8:40 Markus Meier
2017-02-12 22:20 Zac Medico
2017-01-25 6:39 Jeroen Roovers
2016-10-24 23:17 Brian Dolbec
2016-10-22 1:26 Brian Dolbec
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1490994532.88eca7f31805cac0aba446d437f581700e4aa9bb.dolsen@gentoo \
--to=dolsen@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox